' action_13
'== forward walk ================================

DIM A AS BYTE
DIM B AS BYTE
B = 0

PTP SETON 				
PTP ALLON				

'== motor diretion setting ======================
DIR G6A,1,0,0,1,0,0		
DIR G6B,1,1,1,1,1,1		
DIR G6C,0,0,0,0,0,0		
DIR G6D,0,1,1,0,1,0		

'== motor start position read ===================
GETMOTORSET G6A,1,1,1,1,1,0
GETMOTORSET G6B,1,1,1,0,0,0
GETMOTORSET G6C,1,1,1,0,0,0
GETMOTORSET G6D,1,1,1,1,1,0

'== enable gyro compensation ===================
'GYROSET G6A,0,1,0,1,0,0
'GYROSET G6D,0,1,0,1,0,0
'GYRODIR G6A,1,1,1,1,1,1
'GYRODIR G6D,0,1,0,0,0,0
'GYROSENSE G6A,0,20,0,20,0,0
'GYROSENSE G6D,0,20,0,20,0,0

	SPEED 5

'== motor power on  =============================
	MOTOR G24	

	GOSUB standard_pose

'================================================
MAIN:    	
		
	GOSUB read_bluetooth	
	IF A = 119 THEN 	GOSUB forward_walk
	IF A = 115 THEN 	GOSUB backward_walk
	IF A = 65 THEN 	GOSUB left_turn_2
	IF A = 68 THEN 	GOSUB right_turn_2
	IF A = 83 THEN	GOSUB sit_down_pose
	IF A = 100 THEN	GOSUB left_shift
	IF A = 97 THEN	GOSUB right_shift
	'IF A = 21 THEN	GOSUB forward_tumbling
	'IF A = 31 THEN	GOSUB back_tumbling
	'IF A = 28 THEN	GOSUB right_tumbling
	'IF A = 30 THEN	GOSUB left_tumbling
	IF A = 22 THEN	GOSUB forward_standup
	IF A = 24 THEN  GOSUB backward_standup
	IF A = 49 THEN GOSUB robot_dance
	IF A = 50 THEN GOSUB thewave
	IF A = 51 THEN GOSUB pump
	IF A = 52 THEN GOSUB hip_rotate
	IF A = 53 THEN GOSUB pushups
	IF A = 54 THEN GOSUB hiphop1
		
	IF A = 55 THEN GOSUB clap_hands
	IF A = 56 THEN GOSUB disco_hand_swing_right
	GOSUB standard_pose
	GOTO MAIN
'================================================

read_bluetooth:
	ERX 57600,A,read_bluetooth
	RETURN
	
forward_walk:

	SPEED 5
MOVE24  85,  71, 152,  91, 112,  60, 100,  40,  80,    ,    ,    , 100,  40,  80,    ,    ,    , 112,  76, 145,  93,  92,  60,
	
	SPEED 14 
'left up
MOVE24  90, 107, 105, 105, 114,  60,  90,  40,  80,    ,    ,    , 100,  40,  80,    ,    ,    , 114,  76, 145,  93,  90,  60,
'---------------------------------------
'left down
MOVE24  90,  56, 143, 122, 114,  60,  80,  40,  80,    ,    ,    , 105,  40,  80,    ,    ,    , 113,  80, 145,  90,  90,  60,
MOVE24  90,  46, 163, 112, 114,  60,  80,  40,  80,    ,    ,    , 105,  40,  80,    ,    ,    , 112,  80, 145,  90,  90,  60,
	
	SPEED 10
'left center
MOVE24 100,  66, 141, 113, 100, 100,  90,  40,  80,    ,    ,    , 100,  40,  80,    ,    ,    , 100,  83, 156,  80, 100, 100,
MOVE24 113,  78, 142, 105,  90,  60, 100,  40,  80,    ,    ,    , 100,  40,  80,    ,    ,    ,  90, 102, 136,  85, 114,  60,

	SPEED 14
'right up
MOVE24 113,  76, 145,  93,  90,  60, 100,  40,  80,    ,    ,    ,  90,  40,  80,    ,    ,    ,  90, 107, 105, 105, 114,  60,
			
'right down
MOVE24 113,  80, 145,  90,  90,  60, 105,  40,  80,    ,    ,    ,  80,  40,  80,    ,    ,    ,  90,  56, 143, 122, 114,  60,
MOVE24 112,  80, 145,  90,  90,  60, 105,  40,  80,    ,    ,    ,  80,  40,  80,    ,    ,    ,  90,  46, 163, 112, 114,  60,
		
	SPEED 10
'right center
MOVE24 100,  83, 156,  80, 100, 100, 100,  40,  80,    ,    ,    ,  90,  40,  80,    ,    ,    , 100,  66, 141, 113, 100, 100,
MOVE24  90, 102, 136,  85, 114,  60, 100,  40,  80,    ,    ,    , 120,  40,  80,    ,    ,    , 113,  78, 142, 105,  90,  60,
		
	SPEED 14
'left up
MOVE24  90, 107, 105, 105, 114,  60,  90,  40,  80,    ,    ,    , 108,  40,  80,    ,    ,    , 113,  80, 145,  93,  90,  65,
'---------------------------------------

	SPEED 5
'MOVE24  85,  65, 152,  91, 112,  60, 100,  40,  80,    ,    ,    , 100,  40,  80,    ,    ,    , 108,  76, 145,  93,  92,  65
	
	RETURN
'================================================

left_turn:
	SPEED 6
	
	MOVE G6D,  85,  71, 152,  91, 112,  60  
	MOVE G6A, 112,  76, 145,  93,  92,  60 
	MOVE G6C, ,  40,  80,    ,    ,    ,
	MOVE G6B, 100,  40,  80,    ,    ,    ,
	WAIT

	SPEED 9
	
	MOVE G6A, 113,  75, 145,  97,  93,  60
	MOVE G6D,  90,  50, 157, 115, 112,  60 
	MOVE G6B, 105,  40,  70,    ,    ,    , 
	MOVE G6C,  90,  40,  70,    ,    ,    , 
	WAIT   

	MOVE G6A, 108,  78, 145,  98,  93,  60
	MOVE G6D,  95,  43, 169, 110, 110,  60 
	MOVE G6B, 105,  40,  70,    ,    ,    ,
	MOVE G6C,  80,  40,  70,    ,    ,    , 
	WAIT
	
	RETURN
'===============================================
right_turn:
	SPEED 6
	
	MOVE G6A,  85,  71, 152,  91, 112,  60  
	MOVE G6D, 112,  76, 145,  93,  92,  60 
	MOVE G6B, 100,  40,  80,    ,    ,    ,
	MOVE G6C, 100,  40,  80,    ,    ,    ,
	WAIT

	SPEED 9
	
	MOVE G6D, 113,  75, 145,  97,  93,  60
	MOVE G6A,  90,  50, 157, 115, 112,  60 
	MOVE G6C, 105,  40,  70,    ,    ,    , 
	MOVE G6B,  90,  40,  70,    ,    ,    , 
	WAIT   

	MOVE G6D, 108,  78, 145,  98,  93,  60
	MOVE G6A,  95,  43, 169, 110, 110,  60 
	MOVE G6C, 105,  40,  70,    ,    ,    ,
	MOVE G6B,  80,  40,  70,    ,    ,    , 
	WAIT
	
	RETURN
'================================================

backward_walk:

	SPEED 5
	GOSUB backward_walk1
	
	SPEED 13
	GOSUB backward_walk2
	
	SPEED 7
	GOSUB backward_walk3
	GOSUB backward_walk4
	GOSUB backward_walk5

	SPEED 13
	GOSUB backward_walk6
		
	SPEED 7
	GOSUB backward_walk7
	GOSUB backward_walk8
	GOSUB backward_walk9

	SPEED 13
	GOSUB backward_walk2

	SPEED 5
	GOSUB backward_walk1

	RETURN
'================================================

backward_walk1:
	MOVE G6A, 85,  71, 152,  91, 112, 60
	MOVE G6D,112,  76, 145,  93,  92, 60
	MOVE G6B,100,  40,  80, , , ,
	MOVE G6C,100,  40,  80, , , ,	
	WAIT
	RETURN

backward_walk2:
	MOVE G6A, 90, 107, 105, 105, 114, 60
	MOVE G6D,113,  78, 145,  93,  90, 60
	MOVE G6B, 90,  40,  80, , , ,
	MOVE G6C,100,  40,  80, , , ,
	WAIT
	RETURN
	
backward_walk9:
	MOVE G6A, 90,  56, 143, 122, 114,  60
	MOVE G6D,113,  80, 145,  90,  90,  60
	MOVE G6B, 80,  40,  80, , , ,
	MOVE G6C,105,  40,  80, , , ,
	WAIT
	RETURN

backward_walk8:
	MOVE G6A,100,  62, 146, 108, 100, 100
	MOVE G6D,100,  88, 140,  86, 100, 100
	MOVE G6B, 90,  40,  80, , , ,
	MOVE G6C,100,  40,  80, , , ,
	WAIT
	RETURN
		
backward_walk7:
	MOVE G6A,113,  76, 142, 105,  90, 60
	MOVE G6D,90,  96, 136,  85, 114, 60	
	MOVE G6B,100,  40,  80, , , ,
	MOVE G6C,100,  40,  80, , , , 
	WAIT
	RETURN

backward_walk6:
	MOVE G6D,90, 107, 105, 105, 114, 60
	MOVE G6A,113,  78, 145,  93, 90, 60
	MOVE G6C,90,  40,  80, , , , 
	MOVE G6B,100,  40,  80, , , , 
	WAIT
	RETURN

backward_walk5:
	MOVE G6D,90,  56, 143, 122, 114,  60
	MOVE G6A,113,  80, 145,  90,  90,  60
	MOVE G6C,80,  40,  80, , , , 
	MOVE G6B,105,  40,  80, , , , 
	WAIT
	RETURN

backward_walk4:
	MOVE G6D,100,  62, 146, 108, 100, 100 
	MOVE G6A,100,  88, 140,  86, 100, 100
	MOVE G6C,90,  40,  80, , ,,
	MOVE G6B,100,  40,  80, , , , 
	WAIT
	RETURN

backward_walk3:
	MOVE G6D,113,  76, 142, 105,  90, 60
	MOVE G6A, 90,  96, 136,  85, 114, 60
	MOVE G6C,100,  40,  80, , , ,
	MOVE G6B,100,  40,  80, , , ,
	WAIT
	RETURN
'================================================

sit_down_pose:

	B=1-B
	SPEED 10
	MOVE G6A,100, 151,  23, 140, 101, 100
	MOVE G6D,100, 151,  23, 140, 101, 100
	MOVE G6B,100,  30,  80, 100, 100, 100
	MOVE G6C,100,  30,  80, 100, 100, 100	
	WAIT

	RETURN
'================================================

standard_pose:

	MOVE G6A,100,  80, 145,  93, 100, 100 
	MOVE G6D,100,  80, 145,  93, 100, 100  
	MOVE G6B,100,  30,  80, 100, 100, 100
	MOVE G6C,100,  30,  80, 100, 100, 100
	WAIT
	
	RETURN
'================================================

stand_up:

	B=1-B
	MOVE G6A,100,  76, 145,  93, 100, 100 
	MOVE G6D,100,  76, 145,  93, 100, 100  
	MOVE G6B,100,  30,  80, 100, 100, 100
	MOVE G6C,100,  30,  80, 100, 100, 100
	WAIT
	
	RETURN
'================================================

left_attack:
	SPEED 7
	GOSUB left_attack1
	
	SPEED 12
	HIGHSPEED SETON
	MOVE G6A, 98, 157,  20, 134, 110, 100
	MOVE G6D, 57, 115,  77, 125, 134, 100	
	MOVE G6B,107, 135, 108, 100, 100, 100
	MOVE G6C,112,  92,  99, 100, 100, 100
	WAIT
	DELAY 1000
	HIGHSPEED SETOFF
	SPEED 15
	GOSUB sit_pose
	RETURN
'================================================

left_attack1:
	MOVE G6A,  85,  80, 152,  91, 107, 60  
	MOVE G6D, 108,  86, 145,  93, 100, 60 
	MOVE G6B, 100,  40,  80,  ,  ,  ,
	MOVE G6C, 100,  40,  80,  ,  ,  ,
	WAIT
	RETURN
'================================================
sit_pose:

	SPEED 10
	MOVE G6A,100, 151,  23, 140, 101, 100,
	MOVE G6D,100, 151,  23, 140, 101, 100
	MOVE G6B,100,  30,  80, 100, 100, 100
	MOVE G6C,100,  30,  80, 100, 100, 100	
	WAIT
	RETURN
'================================================
right_attack:
	SPEED 7
	GOSUB right_attack1
	
	SPEED 12
	HIGHSPEED SETON
	MOVE G6D, 98, 157,  20, 134, 110, 100
	MOVE G6A, 57, 115,  77, 125, 134, 100
	MOVE G6B,112,  92,  99, 100, 100, 100
	MOVE G6C,107, 135, 108, 100, 100, 100
	WAIT	
	DELAY 1000
	HIGHSPEED SETOFF
	SPEED 15
	GOSUB sit_pose
	RETURN
'================================================
right_attack1:
	MOVE G6D,  85,  80, 152,  91, 107, 60  
	MOVE G6A, 108,  86, 145,  93, 100, 60 
	MOVE G6C, 100,  40,  80,  ,  ,  ,
	MOVE G6B, 100,  40,  80,  ,  ,  ,
	WAIT
	RETURN
'================================================

forward_tumbling:

SPEED 8
GOSUB standard_pose
MOVE G6A,100, 155,  20, 140, 100, 100
MOVE G6D,100, 155,  20, 140, 100, 100
MOVE G6B,130,  50,  85, 100, 100, 100
MOVE G6C,130,  50,  85, 100, 100, 100
WAIT

MOVE G6A, 60, 165,  30, 165, 155, 100
MOVE G6D, 60, 165,  30, 165, 155, 100
MOVE G6B,170,  10, 100, 100, 100, 100
MOVE G6C,170,  10, 100, 100, 100, 100
WAIT

MOVE G6A, 75, 165,  55, 165, 155, 100
MOVE G6D,75, 165,  55, 165, 155, 100
MOVE G6B,185,  10, 100, 100, 100, 100
MOVE G6C,185,  10, 100, 100, 100, 100
WAIT

MOVE G6A, 80, 155,  85, 150, 150, 100
MOVE G6D, 80, 155,  85, 150, 150, 100
MOVE G6B,185,  40, 60,  100, 100, 100
MOVE G6C,185,  40, 60,  100, 100, 100
WAIT

MOVE G6A,100, 130, 120,  80, 110, 100
MOVE G6D,100, 130, 120,  80, 110, 100
MOVE G6B,130, 160,  10, 100, 100, 100
MOVE G6C,130, 160,  10, 100, 100, 100
WAIT

MOVE G6A,100, 160, 110, 140, 100, 100
MOVE G6D,100, 160, 110, 140, 100, 100
MOVE G6B,140,  70,  20, 100, 100, 100
MOVE G6C,140,  70,  20, 100, 100, 100
WAIT

SPEED 15
MOVE G6A,100,  56, 110,  26, 100, 100
MOVE G6D,100,  71, 177, 162, 100, 100
MOVE G6B,170,  40,  50, 100, 100, 100
MOVE G6C,170,  40,  50, 100, 100, 100
WAIT

MOVE G6A,100,  62, 110,  15, 100, 100
MOVE G6D,100,  71, 128, 113, 100, 100
MOVE G6B,190,  40,  50, 100, 100, 100
MOVE G6C,190,  40,  50, 100, 100, 100
WAIT

SPEED 15
MOVE G6A,100,  55, 110,  15, 100, 100
MOVE G6D,100,  55, 110,  15, 100, 100
MOVE G6B,190,  40,  50, 100, 100, 100
MOVE G6C,190,  40,  50, 100, 100, 100
WAIT

SPEED 10

MOVE G6A,100, 110, 100,  15, 100, 100
MOVE G6D,100, 110, 100,  15, 100, 100
MOVE G6B,170, 160, 115, 100, 100, 100
MOVE G6C,170, 160, 115, 100, 100, 100
WAIT

MOVE G6A,100, 170,  70,  15, 100, 100
MOVE G6D,100, 170,  70,  15, 100, 100
MOVE G6B,190, 170, 120, 100, 100, 100
MOVE G6C,190, 170, 120, 100, 100, 100
WAIT

MOVE G6A,100, 170,  30,  110, 100, 100
MOVE G6D,100, 170,  30,  110, 100, 100
MOVE G6B,190,  40,  60, 100, 100, 100
MOVE G6C,190,  40,  60, 100, 100, 100
WAIT

GOSUB sit_pose

GOSUB standard_pose

RETURN
'================================================

back_tumbling:

SPEED 8
GOSUB standard_pose
MOVE G6A,100, 170,  71,  23, 100, 100
MOVE G6D,100, 170,  71,  23, 100, 100
MOVE G6B, 80,  50,  70, 100, 100, 100
MOVE G6C, 80,  50,  70, 100, 100, 100
WAIT

MOVE G6A,100, 133,  71,  23, 100, 100
MOVE G6D,100, 133,  71,  23, 100, 100
MOVE G6B, 10,  96,  15, 100, 100, 100
MOVE G6C, 10,  96,  14, 100, 100, 100
WAIT

MOVE G6A,100, 133,  49,  23, 100, 100
MOVE G6D,100, 133,  49,  23, 100, 100
MOVE G6B, 45, 116,  15, 100, 100, 100
MOVE G6C, 45, 116,  14, 100, 100, 100
WAIT

MOVE G6A,100, 133,  49,  23, 100, 100
MOVE G6D,100,  70, 180, 160, 100, 100
MOVE G6B, 45,  50,  70, 100, 100, 100
MOVE G6C, 45,  50,  70, 100, 100, 100
WAIT

SPEED 15
MOVE G6A,100, 133, 180, 160, 100, 100
MOVE G6D,100,  133, 180, 160, 100, 100
MOVE G6B, 10,  50,  70, 100, 100, 100
MOVE G6C, 10,  50,  70, 100, 100, 100
WAIT

HIGHSPEED SETON
MOVE G6A,100, 95, 180, 160, 100, 100
MOVE G6D,100, 95, 180, 160, 100, 100
MOVE G6B,160,  50,  70, 100, 100, 100
MOVE G6C,160,  50,  70, 100, 100, 100
WAIT

HIGHSPEED SETOFF

MOVE G6A,100, 130, 120,  80, 110, 100
MOVE G6D, 100, 130, 120,  80, 110, 100
MOVE G6B,130, 160,  10, 100, 100, 100
MOVE G6C,130, 160,  10, 100, 100, 100
WAIT
	
GOSUB back_standing

RETURN
'================================================
back_standing:

	SPEED 10

	
	MOVE G6A,100, 130, 120,  80, 110, 100
	MOVE G6D,100, 130, 120,  80, 110, 100
	MOVE G6B,150, 160,  10, 100, 100, 100
	MOVE G6C,150, 160,  10, 100, 100, 100
	WAIT
	
	MOVE G6A, 80, 155,  85, 150, 150, 100
	MOVE G6D, 80, 155,  85, 150, 150, 100
	MOVE G6B,185,  40, 60,  100, 100, 100
	MOVE G6C,185,  40, 60,  100, 100, 100
	WAIT
		
	MOVE G6A, 75, 165,  55, 165, 155, 100
	MOVE G6D, 75, 165,  55, 165, 155, 100
	MOVE G6B,185,  10, 100, 100, 100, 100
	MOVE G6C,185,  10, 100, 100, 100, 100
	WAIT	
	
	MOVE G6A, 60, 165,  30, 165, 155, 100
	MOVE G6D, 60, 165,  30, 165, 155, 100
	MOVE G6B,170,  10, 100, 100, 100, 100
	MOVE G6C,170,  10, 100, 100, 100, 100
	WAIT	
	
	MOVE G6A, 60, 165,  25, 160, 145, 100
	MOVE G6D, 60, 165,  25, 160, 145, 100
	MOVE G6B,150,  60,  90, 100, 100, 100
	MOVE G6C,150,  60,  90, 100, 100, 100
	WAIT	
	
	MOVE G6A,100, 155,  25, 140, 100, 100
	MOVE G6D,100, 155,  25, 140, 100, 100
	MOVE G6B,130,  50,  85, 100, 100, 100
	MOVE G6C,130,  50,  85, 100, 100, 100
	WAIT	
	

	RETURN
'================================================
right_tumbling:

SPEED 8
MOVE G6A,100, 135,  60, 123, 100, 100
MOVE G6D,100, 135,  60, 123, 100, 100
MOVE G6B,100, 120, 140, 100, 100, 100
MOVE G6C,100, 120, 140, 100, 100, 100
WAIT
DELAY 100

SPEED 3
MOVE G6A, 83, 110,  91, 116, 100, 100
MOVE G6D,114, 135,  60, 123, 105, 100
MOVE G6B,100, 120, 140, 100, 100, 100
MOVE G6C,100, 120, 140, 100, 100, 100
WAIT
DELAY 100

MOVE G6A,89,  135,  60, 123, 100, 100
MOVE G6D,114, 135,  60, 123, 105, 100
MOVE G6B,100, 120, 140, 100, 100, 100
MOVE G6C,100, 120, 140, 100, 100, 100
WAIT

MOVE G6A, 89, 135,  60, 123, 130, 100
MOVE G6D,120, 135,  60, 123, 110, 100
MOVE G6B,100, 120, 140, 100, 100, 100
MOVE G6C,100, 120, 140, 100, 100, 100
WAIT

SPEED 4
MOVE G6A,89,  135,  60, 123, 158, 100
MOVE G6D,120, 135,  60, 123, 120, 100
MOVE G6B,100, 165, 185, 100, 100, 100
MOVE G6C,100, 165, 185, 100, 100, 100
WAIT

SPEED 8
MOVE G6A,120, 131,  60, 123, 183, 100
MOVE G6D,120, 131,  60, 123, 185, 100
MOVE G6B,100, 165, 185, 100, 100, 100
MOVE G6C,100, 165, 185, 100, 100, 100
WAIT

DELAY 200

SPEED 5
MOVE G6A,120, 131,  60, 123, 183, 100
MOVE G6D,120, 131,  60, 123, 185, 100
MOVE G6B,100, 120, 145, 100, 100, 100
MOVE G6C,100, 120, 145, 100, 100, 100
WAIT

SPEED 6
MOVE G6A,105, 131,  60, 123, 183, 100
MOVE G6D, 86, 112,  73, 127, 101, 100
MOVE G6B,100, 120, 145, 100, 100, 100
MOVE G6C,100, 120, 145, 100, 100, 100
WAIT

SPEED 3
MOVE G6A,112, 131,  62, 123, 133, 100
MOVE G6D, 86, 118,  73, 127, 101, 100
MOVE G6B,100, 80, 80, 100, 100, 100
MOVE G6C,100, 80, 80, 100, 100, 100
WAIT

SPEED 3
MOVE G6A,107, 135,  62, 123, 113, 100
MOVE G6D, 88, 115,  89, 115,  90, 100
MOVE G6B,100, 80, 80, 100, 100, 100
MOVE G6C,100, 80, 80, 100, 100, 100
WAIT

SPEED 4
MOVE G6A,100, 135,  60, 123, 100, 100
MOVE G6D,100, 135,  60, 123, 100, 100
MOVE G6B,100, 80, 80, 100, 100, 100
MOVE G6C,100, 80, 80, 100, 100, 100
WAIT

RETURN

left_tumbling:

SPEED 8
MOVE G6A,100, 135,  60, 123, 100, 100
MOVE G6D,100, 135,  60, 123, 100, 100
MOVE G6B,100, 120, 140, 100, 100, 100
MOVE G6C,100, 120, 140, 100, 100, 100
WAIT


DELAY 100
SPEED 3
MOVE G6A,114, 135,  60, 123, 105, 100
MOVE G6D, 88, 110,  91, 116, 100, 100
MOVE G6B,100, 120, 140, 100, 100, 100
MOVE G6C,100, 120, 140, 100, 100, 100
WAIT
DELAY 100
MOVE G6A,114, 135,  60, 123, 105, 100
MOVE G6D,89,  135,  60, 123, 100, 100
MOVE G6B,100, 120, 140, 100, 100, 100
MOVE G6C,100, 120, 140, 100, 100, 100
WAIT

MOVE G6A,120, 135,  60, 123, 110, 100
MOVE G6D, 89, 135,  60, 123, 130, 100
MOVE G6B,100, 120, 140, 100, 100, 100
MOVE G6C,100, 120, 140, 100, 100, 100
WAIT


SPEED 4
MOVE G6A,120, 135,  60, 123, 120, 100
MOVE G6D,89,  135,  60, 123, 158, 100
MOVE G6B,100, 165, 185, 100, 100, 100
MOVE G6C,100, 165, 185, 100, 100, 100
WAIT

SPEED 8
MOVE G6A,120, 131,  60, 123, 185, 100
MOVE G6D,120, 131,  60, 123, 183, 100
MOVE G6B,100, 165, 185, 100, 100, 100
MOVE G6C,100, 165, 185, 100, 100, 100
WAIT


DELAY 200

SPEED 5
MOVE G6A,120, 131,  60, 123, 185, 100
MOVE G6D,120, 131,  60, 123, 183, 100
MOVE G6B,100, 120, 145, 100, 100, 100
MOVE G6C,100, 120, 145, 100, 100, 100
WAIT

SPEED 6

MOVE G6A, 86, 112,  73, 127, 101, 100
MOVE G6D,105, 131,  60, 123, 183, 100
MOVE G6B,100, 120, 145, 100, 100, 100
MOVE G6C,100, 120, 145, 100, 100, 100
WAIT

SPEED 3
MOVE G6A, 86, 118,  73, 127, 101, 100
MOVE G6D,112, 131,  62, 123, 133, 100
MOVE G6B,100, 80, 80, 100, 100, 100
MOVE G6C,100, 80, 80, 100, 100, 100
WAIT

SPEED 3
MOVE G6A, 88, 115,  86, 115,  90, 100
MOVE G6D,107, 135,  62, 123, 113, 100
MOVE G6B,100, 80, 80, 100, 100, 100
MOVE G6C,100, 80, 80, 100, 100, 100
WAIT

SPEED 4
MOVE G6A,100, 135,  60, 123, 100, 100
MOVE G6D,100, 135,  60, 123, 100, 100
MOVE G6B,100, 80, 80, 100, 100, 100
MOVE G6C,100, 80, 80, 100, 100, 100
WAIT

RETURN

forward_standup:

	SPEED 10
	
	MOVE G6A,100, 130, 120,  80, 110, 100
	MOVE G6D,100, 130, 120,  80, 110, 100
	MOVE G6B,150, 160,  10, 100, 100, 100
	MOVE G6C,150, 160,  10, 100, 100, 100
	WAIT
	
	MOVE G6A, 80, 155,  85, 150, 150, 100
	MOVE G6D, 80, 155,  85, 150, 150, 100
	MOVE G6B,185,  40, 60,  100, 100, 100
	MOVE G6C,185,  40, 60,  100, 100, 100
	WAIT
		
	MOVE G6A, 75, 165,  55, 165, 155, 100
	MOVE G6D, 75, 165,  55, 165, 155, 100
	MOVE G6B,185,  10, 100, 100, 100, 100
	MOVE G6C,185,  10, 100, 100, 100, 100
	WAIT	
	
	MOVE G6A, 60, 165,  30, 165, 155, 100
	MOVE G6D, 60, 165,  30, 165, 155, 100
	MOVE G6B,170,  10, 100, 100, 100, 100
	MOVE G6C,170,  10, 100, 100, 100, 100
	WAIT	
	
	MOVE G6A, 60, 165,  25, 160, 145, 100
	MOVE G6D, 60, 165,  25, 160, 145, 100
	MOVE G6B,150,  60,  90, 100, 100, 100
	MOVE G6C,150,  60,  90, 100, 100, 100
	WAIT	
	
	MOVE G6A,100, 155,  25, 140, 100, 100
	MOVE G6D,100, 155,  25, 140, 100, 100
	MOVE G6B,130,  50,  85, 100, 100, 100
	MOVE G6C,130,  50,  85, 100, 100, 100
	WAIT	
	
	RETURN
'================================================

backward_standup:

	SPEED 10
	
	MOVE G6A,100,  10, 100, 115, 100, 100
	MOVE G6D,100,  10, 100, 115, 100, 100
	MOVE G6B,100, 130,  10, 100, 100, 100
	MOVE G6C,100, 130,  10, 100, 100, 100
	WAIT

	MOVE G6A,100, 10,  83, 140, 100, 100
	MOVE G6D,100, 10,  83, 140, 100, 100
	MOVE G6B,20, 130,  10, 100, 100, 100
	MOVE G6C,20, 130,  10, 100, 100, 100
	WAIT

	MOVE G6A,100, 126,  60, 50, 100, 100
	MOVE G6D,100, 126,  60, 50, 100, 100
	MOVE G6B,20,  30,  90, 100, 100, 100
	MOVE G6C,20,  30,  90, 100, 100, 100
	WAIT
	
	MOVE G6A,100, 165,  70, 15, 100, 100
	MOVE G6D,100, 165,  70, 15, 100, 100
	MOVE G6B, 30,  20,  95,100, 100, 100
	MOVE G6C, 30,  20,  95,100, 100, 100
	WAIT
	
	MOVE G6A,100, 165,  40, 100, 100, 100
	MOVE G6D,100, 165,  40, 100, 100, 100
	MOVE G6B,110,  70,  50, 100, 100, 100
	MOVE G6C,110,  70,  50, 100, 100, 100
	WAIT
	
	
	RETURN
'================================================
left_shift:

	SPEED 5
	GOSUB left_shift1
	SPEED 9
	GOSUB left_shift2
	
	GOSUB left_shift3
	GOSUB left_shift4
	
	SPEED 9
	GOSUB left_shift5
	GOSUB left_shift6
	
	RETURN
'================================================

left_shift1:
	MOVE G6A,  85,  71, 152,  91, 112,  60,
	MOVE G6D, 112,  76, 145,  93,  92,  60,
	MOVE G6B, 100,  40,  80,    ,    ,    ,
	MOVE G6C, 100,  40,  80,    ,    ,    ,	
	WAIT
	RETURN
'---------------------------
left_shift2:
	MOVE G6D, 110,  92, 124,  97,  93,  70,
	MOVE G6A,  76,  72, 160,  82, 128,  70,
	MOVE G6B, 100,  35,  90,    ,    ,    ,
	MOVE G6C, 100,  35,  90,    ,    ,    ,
	WAIT
	RETURN
'---------------------------
left_shift3:
	MOVE G6A,  93,  76, 145,  94, 109, 100,
	MOVE G6D,  93,  76, 145,  94, 109, 100,
	MOVE G6B, 100,  35,  90,    ,    ,    ,
	MOVE G6C, 100,  35,  90,    ,    ,    ,
	WAIT
	RETURN
'---------------------------
left_shift4:
	MOVE G6A, 110,  92, 124,  97,  93,  70,
	MOVE G6D,  76,  72, 160,  82, 128,  70,
	MOVE G6B, 100,  35,  90,    ,    ,    ,
	MOVE G6C, 100,  35,  90,    ,    ,    ,
	WAIT
	RETURN
'---------------------------
left_shift5:
	MOVE G6D,  86,  83, 135,  97, 114,  60,
	MOVE G6A, 113,  78, 145,  93,  93,  60,
	MOVE G6C,  90,  40,  80,    ,    ,    , 
	MOVE G6B, 100,  40,  80,    ,    ,    , 
	WAIT
	RETURN
'---------------------------	
left_shift6:
	MOVE G6D,  85,  71, 152,  91, 112,  60,
	MOVE G6A, 112,  76, 145,  93,  92,  60,
	MOVE G6C, 100,  40,  80,    ,    ,    ,
	MOVE G6B, 100,  40,  80,    ,    ,    ,
	WAIT
	RETURN
	
'================================================

right_shift:

	SPEED 5
	GOSUB right_shift1
	
	SPEED 9
	GOSUB right_shift2
	
	GOSUB right_shift3
	
	GOSUB right_shift4
	
	SPEED 9
	GOSUB right_shift5
	GOSUB right_shift6
	
	RETURN
'================================================
right_shift1:
	MOVE G6D,  85,  71, 152,  91, 112, 60  
	MOVE G6A, 112,  76, 145,  93,  92, 60 
	MOVE G6C, 100,  40,  80,  ,  ,  ,
	MOVE G6B, 100,  40,  80,  ,  ,  ,
	WAIT
	RETURN
	
right_shift2:
	MOVE G6A,110,  92, 124,  97,  93,  70
	MOVE G6D, 76,  72, 160,  82, 128,  70
	MOVE G6B,100,  35,  90, , , ,
	MOVE G6C,100,  35,  90, , , ,
	WAIT
	RETURN

right_shift3:
	MOVE G6A, 93,  76, 145,  94, 109, 100
	MOVE G6D, 93,  76, 145,  94, 109, 100
	MOVE G6B,100,  35,  90, , , ,
	MOVE G6C,100,  35,  90, , , ,
	WAIT
	RETURN

right_shift4:
	MOVE G6D,110,  92, 124,  97,  93,  70
	MOVE G6A, 76,  72, 160,  82, 128,  70
	MOVE G6B,100,  35,  90, , , ,
	MOVE G6C,100,  35,  90, , , ,
	WAIT
	RETURN

right_shift5:
	MOVE G6A, 86,  83, 135,  97, 114,  60
	MOVE G6D,113,  78, 145,  93,  93,  60
	MOVE G6B, 90,  40,  80, , , ,
	MOVE G6C,100,  40,  80, , , ,
	WAIT
	RETURN

right_shift6:
	MOVE G6A, 85,  71, 152,  91, 112, 60
	MOVE G6D,112,  76, 145,  93,  92, 60
	MOVE G6B,100,  40,  80, , , ,
	MOVE G6C,100,  40,  80, , , ,	
	WAIT
	RETURN
	

'================================================	
robot_dance:
	SPEED 10
	
	'MOVE G24, 100,  80, 145,  93, 100,  , 102,  32,  81,  ,  ,  , 175,  32,  22,  ,  ,  , 102,  80, 144,  96,  98,  
	'WAIT
	'MOVE G24, 100,  80, 128, 111, 100,  , 175,  32,  23,  ,  ,  , 103,  32,  81,  ,  ,  , 103,  79, 128, 111,  98,  
    'WAIT
    'MOVE G24, 100,  80, 145,  93, 100,  , 175,  32,  23,  ,  ,  , 103,  32,  81,  ,  ,  , 103,  79, 143,  96,  98,  
	'WAIT
	'SPEED 5
	
	'Left arm up
	MOVE G24, 101,  79, 145,  95, 100,  , 181,  53,  24,  ,  ,  , 102,  39,  82,  ,  ,  , 104,  78, 142,  97,  98,  
	WAIT
	
	'Right arm up
	MOVE G24, 101,  79, 145,  95, 100,  , 102,  26,  83,  ,  ,  , 182,  26,  68,  ,  ,  , 104,  78, 142,  97,  98,  
	WAIT
	
	'SPEED 10
	'MOVE G24,  85,  95, 110, 113, 115,  , 100,  30,  80,  ,  ,  , 100,  30,  80,  ,  ,  ,  85,  95, 110, 113, 115,  
	'WAIT
	
	'Lean left, right arm stright
	'MOVE G24,  95, 108,  80, 133, 105,  , 100,  30,  80,  ,  ,  , 182,  95, 100,  ,  ,  ,  70,  95, 110, 113, 130,  
	'WAIT
	'Lean left, right arm tuck
	'MOVE G24,  95, 108,  80, 133, 105,  , 100,  30,  80,  ,  ,  , 182,  10,  25,  ,  ,  ,  70,  95, 110, 113, 130,  
	
	'Lean Left, right arm straight
	MOVE G24,  95, 108,  80, 133, 105,  , 182,  95, 100,  ,  ,  , 182,  95, 100,  ,  ,  ,  70,  95, 110, 113, 130,  
	SPEED 8
	'Middle from left to right
	MOVE G24,  85, 100,  95, 123, 115,  , 182,  95, 100,  ,  ,  , 182,  57,  40,  ,  ,  ,  89, 105,  95, 123, 115,  

	WAIT
	'Lean full right, curl right arm
	MOVE G24,  70,  95, 115, 113, 125,  , 182,  95, 100,  ,  ,  , 182,  12,  20,  ,  ,  ,  99, 115,  70, 133, 105,  
	WAIT
	
	'Middle from right to left
	MOVE G24,  85, 100,  95, 123, 115,  , 182,  57,  40,  ,  ,  , 182,  95, 100,  ,  ,  ,  89, 105,  95, 123, 115,  
	WAIT
	'Full left
	MOVE G24,  99, 115,  70, 133, 105,  , 182,  12,  20,  ,  ,  , 182,  95, 100,  ,  ,  ,  70,  95, 115, 113, 125,  
	WAIT
	
	GOSUB standard_pose
	'Hung arms, standing
	'MOVE G24, 100,  80, 145,  93, 100,  , 100,  95,  10,  ,  ,  , 100,  95,  10,  ,  ,  , 100,  80, 145,  93, 100,  
	SPEED 10
	'hulk and crouch
	MOVE G24, 100, 116,  70, 128, 100,  , 100,  95,  10,  ,  ,  , 100,  95,  10,  ,  ,  , 100, 116,  70, 128, 100,  
	WAIT
	MOVE G24, 100, 116,  70, 128, 100,  , 100,  95,  10,  ,  ,  , 185,  95,  10,  ,  ,  , 100, 116,  70, 128, 100,  
	WAIT
	MOVE G24, 100, 111,  85, 125, 100,  , 100,  95,  10,  ,  ,  , 185,  95,  10,  ,  ,  , 100, 111,  85, 125, 100,  
	WAIT
	MOVE G24, 100, 105, 105, 105, 100,  , 190, 100,  10,  ,  ,  , 105,  95,  85,  ,  ,  , 100, 105, 105, 105, 100,  
	WAIT
	MOVE G24, 100, 105, 105, 105, 100,  , 105,  95,  85,  ,  ,  , 185, 100,  10,  ,  ,  , 100, 105, 105, 105, 100,  
	WAIT
	WAIT
	MOVE G24, 100, 105, 105, 105, 100,  , 145,  35,  60,  ,  ,  , 145,  35,  50,  ,  ,  , 100, 105, 105, 105, 100,  
	
	GOSUB hip_thrust
	GOSUB hip_thrust
	GOSUB standard_pose
	GOSUB disco_hand_swing_left
RETURN

	
	'GOSUB standard_pose
	
hip_thrust:
	'Hip Thrust back
	MOVE G24, 100,  80, 105, 150, 100,  , 145,  35,  60,  ,  ,  , 145,  35,  50,  ,  ,  , 100,  80, 105, 150, 100,  
	WAIT
	'Hip thrust forward'
	MOVE G24, 100, 115, 105,  75, 100,  ,  90,  35,  65,  ,  ,  ,  90,  35,  65,  ,  ,  , 100, 115, 105,  75, 100,  
	WAIT
	RETURN
	
hip_circle:
	'revolve hips (leg control only
	
	RETURN
	
hands_on_hips:
	'put hands on hips above hip joints
	
	RETURN
	
kickstep_left:
	'start from standard pose
	'kick up with the left foot slightly to 
	
disco_point_up:

disco_hand_swing_left:
	SPEED 15
	MOVE G24, 100,  80, 145,  93, 100,  , 125,  40,  55,  ,  ,  , 100,  33,  82,  ,  ,  , 100,  80, 145,  93, 100,  
	SPEED 20
	MOVE G24, 100,  80, 145,  93, 100,  , 190,  10,  15,  ,  ,  , 100,  30,  80,  ,  ,  , 100,  80, 145,  93, 100,  
	WAIT
	MOVE G24, 100,  80, 145,  93, 100,  , 190,  35,  25,  ,  ,  , 100,  30,  80,  ,  ,  , 100,  80, 145,  93, 100,  
	WAIT
	MOVE G24, 100,  80, 145,  93, 100,  , 190,  60,  40,  ,  ,  , 100,  30,  80,  ,  ,  , 100,  80, 145,  93, 100,  
	WAIT
	MOVE G24, 100,  80, 145,  93, 100,  , 190,  85,  55,  ,  ,  , 100,  30,  80,  ,  ,  , 100,  80, 145,  93, 100,  
	WAIT
	MOVE G24, 100,  80, 145,  93, 100,  , 100,  33,  82,  ,  ,  , 100,  33,  82,  ,  ,  , 100,  80, 145,  93, 100,  
	WAIT
	SPEED 10
	
	RETURN

disco_hand_swing_right:
	SPEED 8
	MOVE G24, 105,  80, 145,  93,  95,  , 100,  30,  80,  ,  ,  , 140,  60,  40,  ,  ,  ,  95,  80, 145,  93, 105,  
	WAIT
	MOVE G24, 107,  80, 145,  93,  93,  , 100,  30,  80,  ,  ,  , 190,  96, 100,  ,  ,  ,  93,  80, 145,  93, 107,  
	WAIT
	MOVE G24, 106,  80, 145,  93,  94,  , 100,  30,  80,  ,  ,  , 190,  81,  80,  ,  ,  ,  94,  80, 145,  93, 106,  
	WAIT
	MOVE G24, 104,  80, 145,  93,  96,  , 100,  30,  80,  ,  ,  , 190,  71,  75,  ,  ,  ,  96,  80, 145,  93, 104,  
WAIT
MOVE G24, 101,  80, 145,  93,  99,  , 100,  30,  80,  ,  ,  , 190,  56,  60,  ,  ,  ,  99,  80, 145,  93, 101,  
WAIT
MOVE G24,  98,  80, 145,  93, 102,  , 100,  30,  80,  ,  ,  , 190,  36,  45,  ,  ,  , 102,  80, 145,  93,  98,  
WAIT	
MOVE G24,  96,  80, 145,  93, 104,  , 100,  30,  80,  ,  ,  , 190,  11,  25,  ,  ,  , 104,  80, 145,  93,  96,  
WAIT
MOVE G24,  98,  80, 145,  93, 102,  , 100,  30,  80,  ,  ,  , 165,  31,  40,  ,  ,  , 102,  80, 145,  93,  98,  
WAIT
RETURN

thewave:
	'start 1
	SPEED 12
	MOVE G24, 100,  90, 120, 108, 100,  , 100, 100, 100,  ,  ,  , 100, 100, 100,  ,  ,  , 100,  90, 120, 108, 100,  
	WAIT
	MOVE G24, 100,  90, 120, 108, 100,  , 100, 135,  35,  ,  ,  , 100, 100, 100,  ,  ,  , 100,  90, 120, 108, 100,  
	WAIT
	MOVE G24, 100,  90, 120, 108, 100,  , 100, 150,  10,  ,  ,  , 100, 115,  80,  ,  ,  , 100,  90, 120, 108, 100,  
	WAIT
	MOVE G24, 100,  90, 120, 108, 100,  , 100, 115,  80,  ,  ,  , 100, 150,  10,  ,  ,  , 100,  90, 120, 108, 100,  
	WAIT
	MOVE G24, 100,  90, 120, 108, 100,  , 100, 100, 100,  ,  ,  , 100, 135,  50,  ,  ,  , 100,  90, 120, 108, 100,  
	WAIT
	MOVE G24, 100,  90, 120, 108, 100,  , 100, 100, 100,  ,  ,  , 100, 100, 100,  ,  ,  , 100,  90, 120, 108, 100,  
	WAIT
	RETURN
	
pump:
	SPEED 8
	MOVE G24, 100,  90, 120, 108, 100,  , 170,  25,  17,  ,  ,  , 170,  25,  17,  ,  ,  , 100,  90, 120, 108, 100,  
	WAIT
	MOVE G24, 100, 105,  95, 123, 100,  , 190,  25,  17,  ,  ,  , 145,  25,  17,  ,  ,  , 100, 105,  95, 123, 100,  
	WAIT
	MOVE G24, 100, 105,  95, 123, 100,  , 140,  25,  17,  ,  ,  , 190,  25,  17,  ,  ,  , 100, 105,  95, 123, 100,  
	WAIT
	MOVE G24, 100,  95, 115, 103, 100,  , 160,  25,  17,  ,  ,  , 160,  25,  17,  ,  ,  , 100,  95, 115, 103, 100,  
	WAIT
	MOVE G24, 100,  90, 125, 103, 100,  , 190,  25,  17,  ,  ,  , 160,  25,  17,  ,  ,  , 100,  90, 125, 103, 100,  
	WAIT
	MOVE G24, 100,  80, 145,  93, 100,  , 140,  40,  50,  ,  ,  , 140,  40,  50,  ,  ,  , 100,  80, 145,  93, 100,  
	WAIT
	RETURN
	
hip_rotate:
	SPEED 6
	MOVE G24,  95,  80, 145,  93, 105,  , 100,  30,  80,  ,  ,  , 100,  30,  80,  ,  ,  ,  95,  80, 145,  93, 105,  
	WAIT
	MOVE G24,  95,  65, 145, 113, 105,  , 100,  30,  80,  ,  ,  , 100,  30,  80,  ,  ,  ,  95,  65, 145, 113, 105,  
	WAIT
	MOVE G24,  90,  80, 145,  93, 115,  , 100,  30,  80,  ,  ,  , 100,  30,  80,  ,  ,  , 105,  80, 145,  93,  90,  
	WAIT
	MOVE G24, 100,  85, 145,  73, 102,  , 100,  32,  81,  ,  ,  , 100,  31,  80,  ,  ,  , 100,  85, 145,  73, 102,  
	WAIT
	MOVE G24, 105,  80, 140,  98,  90,  , 100,  32,  81,  ,  ,  , 100,  31,  80,  ,  ,  ,  90,  85, 130, 103, 115,  
	WAIT
	RETURN
	
pushups:
	SPEED 6
	MOVE G24, 100,  80, 145,  93, 100,  , 100,  30,  80,  ,  ,  , 100,  30,  80,  ,  ,  , 100,  80, 145,  93, 100,  
	WAIT
	MOVE G24, 100, 120,  70, 128, 100,  , 170,  30,  80,  ,  ,  , 170,  30,  80,  ,  ,  , 100, 120,  70, 128, 100,  
 	WAIT 
	MOVE G24, 100, 120,  95, 128, 100,  , 185,  30,  80,  ,  ,  , 185,  30,  80,  ,  ,  , 100, 120,  95, 128, 100,  
	WAIT
'first pushup
	MOVE G24, 100, 155, 140,  78, 100,  , 165,  30,  80,  ,  ,  , 165,  30,  80,  ,  ,  , 100, 155, 140,  78, 100,  
	WAIT
	MOVE G24, 100, 160, 160,  78, 100,  , 180, 120,  10,  ,  ,  , 180, 120,  10,  ,  ,  , 100, 160, 160,  78, 100,  
	WAIT	
'Second pushup
	MOVE G24, 100, 155, 140,  78, 100,  , 165,  30,  80,  ,  ,  , 165,  30,  80,  ,  ,  , 100, 155, 140,  78, 100,  
	WAIT
	MOVE G24, 100, 160, 160,  78, 100,  , 180, 120,  10,  ,  ,  , 180, 120,  10,  ,  ,  , 100, 160, 160,  78, 100,  
	WAIT

'one arm pushup
MOVE G24, 100, 155, 140,  78, 100,  , 165,  30,  80,  ,  ,  , 165,  30,  80,  ,  ,  , 100, 155, 140,  78, 100,  
WAIT
MOVE G24,  90, 155, 160,  78, 110,  , 180, 100,  10,  ,  ,  , 180,  75,  75,  ,  ,  ,  90, 150, 160,  93, 155,  
WAIT
MOVE G24,  90, 155, 160,  78, 110,  , 180, 100,  10,  ,  ,  , 180, 125,  75,  ,  ,  ,  90, 150, 160,  93, 155,  
WAIT
MOVE G24,  90, 140, 160,  78, 110,  , 180,  15,  80,  ,  ,  , 180, 130,  75,  ,  ,  ,  85, 135, 160,  93, 155,  
WAIT
MOVE G24,  90, 155, 160,  78, 110,  , 180, 100,  10,  ,  ,  , 180, 125,  75,  ,  ,  ,  90, 150, 160,  93, 155,  
WAIT
MOVE G24,  90, 140, 160,  78, 110,  , 180,  15,  80,  ,  ,  , 180, 130,  75,  ,  ,  ,  85, 135, 160,  93, 155,  
WAIT
MOVE G24,  90, 155, 160,  78, 110,  , 180, 100,  10,  ,  ,  , 180,  75,  75,  ,  ,  ,  90, 150, 160,  93, 155,  
WAIT
MOVE G24, 100, 155, 140,  78, 100,  , 165,  30,  80,  ,  ,  , 165,  30,  80,  ,  ,  , 100, 155, 140,  78, 100,  
WAIT
GOSUB forward_standup
RETURN

clap_hands:
SPEED 10
MOVE G24, 100,  80, 145,  93, 100,  , 176,  30,  80,  ,  ,  , 176,  30,  80,  ,  ,  , 100,  80, 145,  93, 100,  
WAIT
MOVE G24, 100,  80, 145,  93, 100,  , 176,  15,  35,  ,  ,  , 176,  15,  35,  ,  ,  , 100,  80, 145,  93, 100,  
WAIT
MOVE G24, 100,  80, 145,  93, 100,  , 176,  30,  80,  ,  ,  , 176,  30,  80,  ,  ,  , 100,  80, 145,  93, 100,  
WAIT
MOVE G24, 100,  80, 145,  93, 100,  , 176,  15,  35,  ,  ,  , 176,  15,  35,  ,  ,  , 100,  80, 145,  93, 100,  
WAIT
MOVE G24, 100,  80, 145,  93, 100,  , 176,  30,  80,  ,  ,  , 176,  30,  80,  ,  ,  , 100,  80, 145,  93, 100,  
WAIT
MOVE G24, 100,  80, 145,  93, 100,  , 176,  15,  35,  ,  ,  , 176,  15,  35,  ,  ,  , 100,  80, 145,  93, 100,  
WAIT
MOVE G24, 100,  80, 145,  93, 100,  , 176,  30,  80,  ,  ,  , 176,  30,  80,  ,  ,  , 100,  80, 145,  93, 100,  
WAIT
MOVE G24, 100,  80, 145,  93, 100,  , 176,  15,  35,  ,  ,  , 176,  15,  35,  ,  ,  , 100,  80, 145,  93, 100,  
WAIT
GOSUB standard_pose
RETURN

handshake:
SPEED 10
MOVE G24, 100,  80, 145,  93, 100,  , 100,  30,  80,  ,  ,  , 170,  40,  80,  ,  ,  , 100,  80, 145,  93, 100,  
WAIT
MOVE G24, 100,  80, 145,  93, 100,  , 100,  30,  80,  ,  ,  , 175,  25,  65,  ,  ,  , 100,  80, 145,  93, 100,  
WAIT
MOVE G24, 100,  80, 145,  93, 100,  , 100,  30,  80,  ,  ,  , 140,  20,  55,  ,  ,  , 100,  80, 145,  93, 100,  
WAIT
MOVE G24, 100,  80, 145,  93, 100,  , 100,  30,  80,  ,  ,  , 170,  20,  55,  ,  ,  , 100,  80, 145,  93, 100,  
WAIT
MOVE G24, 100,  80, 145,  93, 100,  , 100,  30,  80,  ,  ,  , 140,  20,  55,  ,  ,  , 100,  80, 145,  93, 100,  
WAIT
MOVE G24, 100,  80, 145,  93, 100,  , 100,  30,  80,  ,  ,  , 155,  30,  65,  ,  ,  , 100,  80, 145,  93, 100,  
WAIT
GOSUB standard_pose
RETURN

situps:
RETURN
	GOSUB sit_down_pose
	MOVE G24, 100, 126,  23, 140, 101,  ,  45,  30,  80,  ,  ,  ,  45,  30,  80,  ,  ,  , 100, 126,  23, 140, 101,  
WAIT
MOVE G24, 102,  11,  93, 125, 101,  ,  95,  30,  80,  ,  ,  ,  95,  30,  80,  ,  ,  , 102,  11,  93, 125, 101,  
WAIT
MOVE G24, 102,  11,  93, 140, 101,  , 175,  65,  25,  ,  ,  , 175,  65,  25,  ,  ,  , 102,  11,  93, 140, 101,  
WAIT

RETURN

hiphop1:
	SPEED 7
	MOVE G24, 100,  95,  95, 138, 100,  , 170,  30,  80,  ,  ,  , 170,  30,  80,  ,  ,  , 100,  95,  95, 138, 100,  
	WAIT
	SPEED 14
	DELAY 200
	MOVE G24, 100,  95,  95, 138, 100,  , 135,  30,  80,  ,  ,  , 145,  20,  25,  ,  ,  ,  90,  95,  95, 138, 110,  
	WAIT
	DELAY 200
	
RETURN

right_turn_2:

SPEED 9
MOVE G24, 106,  80, 145,  83, 106,  , 100,  30,  80,  ,  ,  , 100,  30,  80,  ,  ,  , 100,  65, 145, 103, 100,  
WAIT
MOVE G24,  96,  90, 145,  83, 100,  , 100,  30,  80,  ,  ,  , 100,  30,  80,  ,  ,  , 100,  65, 145, 108, 100,  
WAIT
MOVE G24, 100,  90, 145,  93, 100,  , 100,  30,  80,  ,  ,  , 100,  30,  80,  ,  ,  , 100,  65, 145, 114, 100,  
WAIT
MOVE G24, 100,  90, 145,  93, 100,  , 100,  30,  80,  ,  ,  , 100,  30,  80,  ,  ,  , 100,  65, 145, 114, 105,  
WAIT
MOVE G24, 100,  80, 145,  95, 100,  , 100,  30,  80,  ,  ,  , 100,  30,  80,  ,  ,  , 100,  80, 145,  95, 100,  
WAIT
RETURN

Left_turn_2:
SPEED 9
MOVE G24, 100,  77, 145,  95, 100,  , 100,  30,  80,  ,  ,  , 100,  30,  80,  ,  ,  , 107,  77, 145,  95, 100,  
WAIT
MOVE G24, 100,  65, 145, 103, 100,  ,  85,  30,  80,  ,  ,  , 115,  30,  80,  ,  ,  , 106,  80, 145,  83, 106,  
WAIT
MOVE G24, 100,  65, 145, 108, 100,  , 80,  30,  80,  ,  ,  , 120,  30,  80,  ,  ,  ,  96,  90, 145,  83, 100,  
WAIT
MOVE G24, 100,  65, 145, 114, 100,  , 80,  30,  80,  ,  ,  , 120,  30,  80,  ,  ,  , 100,  90, 145,  93, 100,  
WAIT
MOVE G24, 100,  65, 145, 114, 105,  , 90,  30,  80,  ,  ,  , 110,  30,  80,  ,  ,  , 100,  90, 145,  93, 100,  
WAIT
MOVE G24, 100,  80, 145,  95, 100,  , 100,  30,  80,  ,  ,  , 100,  30,  80,  ,  ,  , 100,  80, 145,  95, 100,  
WAIT
SPEED 5
MOVE G24, 100,  77, 145,  90, 100,  , 100,  30,  80,  ,  ,  , 100,  30,  80,  ,  ,  , 100,  77, 145,  90, 100,  
WAIT
MOVE G24, 100,  77, 145,  95, 100,  , 100,  30,  80,  ,  ,  , 100,  30,  80,  ,  ,  , 100,  77, 145,  95, 100,  
WAIT
RETURN